Bug 205538 - math/py-matplotlib: Update to 1.5.0
Summary: math/py-matplotlib: Update to 1.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords: needs-qa, patch
Depends on: 205594
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 12:37 UTC by Yuri Victorovich
Modified: 2016-02-13 16:50 UTC (History)
3 users (show)

See Also:
mainland: maintainer-feedback+


Attachments
patch (949 bytes, patch)
2015-12-23 12:37 UTC, Yuri Victorovich
vlad-fbsd: maintainer-approval+
Details | Diff
log (29.55 KB, application/octet-stream)
2015-12-23 16:28 UTC, Yuri Victorovich
no flags Details
patch (1.74 KB, patch)
2015-12-25 07:44 UTC, Yuri Victorovich
no flags Details | Diff
patch (1.55 KB, patch)
2015-12-25 08:08 UTC, Yuri Victorovich
vlad-fbsd: maintainer-approval+
Details | Diff
patch (1.65 KB, patch)
2015-12-30 15:43 UTC, Yuri Victorovich
mainland: maintainer-approval+
Details | Diff
patch (1.91 KB, patch)
2016-01-16 06:09 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-12-23 12:37:41 UTC
Created attachment 164549 [details]
patch

Passes poudriere
Comment 1 mainland 2015-12-23 16:11:52 UTC
I am surprised that all that needs to be changed for the 1.5.0 release is the checksum. In particular, your patch indicates that the set of files installed by 1.5.0 are exactly the same as those installed by 1.4.3.

What was the output of poudriere testport?
Comment 2 Yuri Victorovich freebsd_committer 2015-12-23 16:28:20 UTC
Created attachment 164556 [details]
log
Comment 3 VK freebsd_triage 2015-12-24 00:48:33 UTC
mainland,

is this okay then? Good to go? Please set maintainer-feedback+, and maintainer-approval+ on the patch if you think it's ready.
Comment 4 Yuri Victorovich freebsd_committer 2015-12-24 03:53:29 UTC
mainland@apeiron.net,

This package has USE_PYTHON=autoplist, so plist may have changed.
Comment 5 mainland 2015-12-24 15:42:01 UTC
Looks good to me.
Comment 6 mainland 2015-12-24 15:43:41 UTC
Comment on attachment 164549 [details]
patch

Looks good.
Comment 7 Andrey Fesenko 2015-12-25 01:58:12 UTC
This interesting update, it seems fix bug #205294

However, starting with this version, to undergo some tests, it is necessary porting https://pypi.python.org/pypi/Cycler

% python /usr/local/share/examples/py27-matplotlib/user_interfaces/embedding_in_wx5.py
Traceback (most recent call last):
  File "/usr/local/share/examples/py27-matplotlib/user_interfaces/embedding_in_wx5.py", line 17, in <module>
    import matplotlib as mpl
  File "/usr/local/lib/python2.7/site-packages/matplotlib/__init__.py", line 124, in <module>
    from matplotlib.rcsetup import (defaultParams,
  File "/usr/local/lib/python2.7/site-packages/matplotlib/rcsetup.py", line 29, in <module>
    from cycler import Cycler, cycler as ccycler
ImportError: No module named cycler

After # pip install Cycler
Collecting Cycler
  Downloading cycler-0.9.0-py2.py3-none-any.whl

Test embedding_in_wx5.py pass
Comment 8 Yuri Victorovich freebsd_committer 2015-12-25 06:12:45 UTC
This is strange, because setup.py has code to test for cycler, it ismissing, yet nothing fails.
Comment 9 Yuri Victorovich freebsd_committer 2015-12-25 06:17:46 UTC
https://github.com/matplotlib/matplotlib/issues/5744
Comment 10 Yuri Victorovich freebsd_committer 2015-12-25 07:24:05 UTC
setup.py also ignores the shstem-wide install of math/pyhull:
https://github.com/matplotlib/matplotlib/issues/5745
Comment 11 Yuri Victorovich freebsd_committer 2015-12-25 07:44:09 UTC
Created attachment 164616 [details]
patch

* Added dependency on devel/py-cycler
* Added dependency on math/py-pyhull

(Build depends on py-pyhull, but due to the bug ignores the pre-installed version. But in order to not forget it, it is better to leave the dependency.)
Comment 12 Yuri Victorovich freebsd_committer 2015-12-25 08:08:53 UTC
Created attachment 164617 [details]
patch

RM pyhull dependency, as per upstream reply.
Comment 13 VK freebsd_triage 2015-12-25 09:14:31 UTC
Since the previously approved patch is now obsoleted, this again requires maintainer feedback. Don't forget to approve the patch if you think it's ok, mainland@apeiron.net. ;)
Comment 14 mainland 2015-12-25 13:49:37 UTC
Comment on attachment 164617 [details]
patch

I approve.
Comment 15 mainland 2015-12-25 13:50:47 UTC
I have not been able to set the maintainer-approval flag on either of the patches---changing them to "+" is a no-op. Please consider the current patch approved.
Comment 16 Dmitry Marakasov freebsd_committer 2015-12-29 17:12:15 UTC
This no longer builds on 9.x:

In file included from /usr/include/c++/4.2/ios:47,
                 from /usr/include/c++/4.2/istream:44,
                 from /usr/include/c++/4.2/sstream:44,
                 from /usr/include/c++/4.2/complex:50,
                 from src/numpy_cpp.h:19,
                 from src/_gtkagg.cpp:13:
/usr/include/c++/4.2/bits/localefwd.h:58:34: error: macro "isspace" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/localefwd.h:70:34: error: macro "isupper" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/localefwd.h:74:34: error: macro "islower" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/localefwd.h:78:34: error: macro "isalpha" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/localefwd.h:94:34: error: macro "isalnum" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/localefwd.h:102:34: error: macro "toupper" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/localefwd.h:106:34: error: macro "tolower" passed 2 arguments, but takes just 1
In file included from /usr/include/c++/4.2/bits/basic_ios.h:44,
                 from /usr/include/c++/4.2/ios:50,
                 from /usr/include/c++/4.2/istream:44,
                 from /usr/include/c++/4.2/sstream:44,
                 from /usr/include/c++/4.2/complex:50,
                 from src/numpy_cpp.h:19,
                 from src/_gtkagg.cpp:13:
/usr/include/c++/4.2/bits/locale_facets.h:242:53: error: macro "toupper" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/locale_facets.h:271:53: error: macro "tolower" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/locale_facets.h:814:53: error: macro "toupper" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/locale_facets.h:847:53: error: macro "tolower" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/locale_facets.h:4612:44: error: macro "isspace" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/locale_facets.h:4630:44: error: macro "isupper" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/locale_facets.h:4636:44: error: macro "islower" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/locale_facets.h:4642:44: error: macro "isalpha" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/locale_facets.h:4666:44: error: macro "isalnum" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/locale_facets.h:4678:44: error: macro "toupper" passed 2 arguments, but takes just 1
/usr/include/c++/4.2/bits/locale_facets.h:4684:44: error: macro "tolower" passed 2 arguments, but takes just 1
In file included from /usr/include/c++/4.2/ios:47,
                 from /usr/include/c++/4.2/istream:44,
                 from /usr/include/c++/4.2/sstream:44,
                 from /usr/include/c++/4.2/complex:50,
                 from src/numpy_cpp.h:19,
                 from src/_gtkagg.cpp:13:
/usr/include/c++/4.2/bits/localefwd.h:58: error: 'std::isspace' declared as an 'inline' variable
/usr/include/c++/4.2/bits/localefwd.h:58: error: template declaration of 'bool std::isspace'
/usr/include/c++/4.2/bits/localefwd.h:70: error: 'std::isupper' declared as an 'inline' variable
/usr/include/c++/4.2/bits/localefwd.h:70: error: template declaration of 'bool std::isupper'
/usr/include/c++/4.2/bits/localefwd.h:74: error: 'std::islower' declared as an 'inline' variable
/usr/include/c++/4.2/bits/localefwd.h:74: error: template declaration of 'bool std::islower'
/usr/include/c++/4.2/bits/localefwd.h:78: error: 'std::isalpha' declared as an 'inline' variable
/usr/include/c++/4.2/bits/localefwd.h:78: error: template declaration of 'bool std::isalpha'
/usr/include/c++/4.2/bits/localefwd.h:94: error: 'std::isalnum' declared as an 'inline' variable
/usr/include/c++/4.2/bits/localefwd.h:94: error: template declaration of 'bool std::isalnum'
/usr/include/c++/4.2/bits/localefwd.h:102: error: 'std::toupper' declared as an 'inline' variable
/usr/include/c++/4.2/bits/localefwd.h:102: error: template declaration of '_CharT std::toupper'
/usr/include/c++/4.2/bits/localefwd.h:106: error: 'std::tolower' declared as an 'inline' variable
/usr/include/c++/4.2/bits/localefwd.h:106: error: template declaration of '_CharT std::tolower'

...
Comment 17 Yuri Victorovich freebsd_committer 2015-12-30 15:43:30 UTC
Created attachment 164866 [details]
patch

* Fixed 9.X compile by adding USES=compiler:c++11-lib
* Fixed dependency ->py-Cycler
Comment 18 VK freebsd_triage 2016-01-01 16:38:19 UTC
(In reply to mainland from comment #15)

There was a bug in Bugzilla, that's fixed now. Thanks for noticing :)
Comment 19 mainland 2016-01-02 18:37:23 UTC
Comment on attachment 164866 [details]
patch

Approved, thanks!
Comment 20 mainland 2016-01-02 18:38:48 UTC
In reply to comment #18, I still can't set the approval flag n patches.
Comment 21 VK freebsd_triage 2016-01-03 00:27:52 UTC
(In reply to mainland from comment #20)

So if I understand you correctly, you could set + on this one because I previously set ?, but you can't set + on patches that haven't had ? set previously?
Comment 22 VK freebsd_triage 2016-01-03 10:50:59 UTC
(In reply to mainland from comment #20)

I apologize, I have been giving you incomplete information. You can only set "maintainer-approval+" on patches you yourself attach, or if there's "maintainer-approval?" on them previously set. So everything is as it should be. My mistake.
Comment 23 Dmitry Marakasov freebsd_committer 2016-01-15 17:38:13 UTC
===>   py27-matplotlib-1.5.0 depends on package: py27-Cycler>0 - not found
Comment 24 Yuri Victorovich freebsd_committer 2016-01-16 06:09:37 UTC
Created attachment 165654 [details]
patch

Fixed wrong dependency (py-cycler)
Comment 25 Andrey Fesenko 2016-02-04 14:51:57 UTC
Any news?
Comment 26 mainland 2016-02-04 15:13:46 UTC
I can't approve patches here until someone else sets maintainer-approval? on them, which has not happened.

Since this is really a new issue, you should open a new bug report and attach a patch.
Comment 27 commit-hook freebsd_committer 2016-02-13 16:49:54 UTC
A commit references this bug:

Author: rm
Date: Sat Feb 13 16:49:00 UTC 2016
New revision: 408809
URL: https://svnweb.freebsd.org/changeset/ports/408809

Log:
  math/py-matplotlib: update to 1.5.0

  Release notes:
  http://matplotlib.org/users/whats_new.html#new-in-matplotlib-1-5

  This port still can't be built with python 3.x here.

  PR:		205538
  Submitted by:	yuri@rawbw.com
  Approved by:	mainland@apeiron.net (maintainer)

Changes:
  head/math/py-matplotlib/Makefile
  head/math/py-matplotlib/distinfo
Comment 28 Ruslan Makhmatkhanov freebsd_committer 2016-02-13 16:50:21 UTC
Committed, thank you!